Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentgetelementsbytagnamelength Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentgetelementsbytagnamelength (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getElementsByTagName(tagName)" method returns a NodeList of all the Elements with a given tagName.

Retrieve the entire DOM document and invoke its "getElementsByTagName(tagName)" method with tagName equal to "name". The method should return a NodeList that contains 5 elements.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-A6C9094

Definition at line 45 of file documentgetelementsbytagnamelength.java.

## Constructor & Destructor Documentation

documentgetelementsbytagnamelength::documentgetelementsbytagnamelength | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file documentgetelementsbytagnamelength.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String documentgetelementsbytagnamelength::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 61 of file documentgetelementsbytagnamelength.java.
    00061                                 {
    00062       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentgetelementsbytagnamelength";
    00063    }

void documentgetelementsbytagnamelength::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 64 of file documentgetelementsbytagnamelength.java. References DOMTestCase::doMain().
    00064                                           {
    00065         DOMTestCase.doMain(documentgetelementsbytagnamelength.class,args);
    00066    }

void documentgetelementsbytagnamelength::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file documentgetelementsbytagnamelength.java. References DOMTestCase::assertSize(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList nameList;
    00056       doc = load("staff");
    00057       nameList = doc.getElementsByTagName("name");
    00058       assertSize("documentGetElementsByTagNameLengthAssert",5,nameList);
    00059
    00060    }

The documentation for this class was generated from the following file:

- documentgetelementsbytagnamelength.java